<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="InversionesDEVDataSet7" targetNamespace="http://tempuri.org/InversionesDEVDataSet7.xsd" xmlns:mstns="http://tempuri.org/InversionesDEVDataSet7.xsd" xmlns="http://tempuri.org/InversionesDEVDataSet7.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="InversionesConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="InversionesConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Inversiones.My.MySettings.GlobalReference.Default.InversionesConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="PIN0TableAdapter" GeneratorDataComponentClassName="PIN0TableAdapter" Name="PIN0" UserDataComponentName="PIN0TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="InversionesConnectionString (MySettings)" DbObjectName="InversionesDEV.dbo.PIN0" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[PIN0] WHERE (([DocId] = @Original_DocId) AND ((@IsNull_CodInv = 1 AND [CodInv] IS NULL) OR ([CodInv] = @Original_CodInv)) AND ((@IsNull_VCodInv = 1 AND [VCodInv] IS NULL) OR ([VCodInv] = @Original_VCodInv)) AND ((@IsNull_DocEst = 1 AND [DocEst] IS NULL) OR ([DocEst] = @Original_DocEst)) AND ((@IsNull_Asunto = 1 AND [Asunto] IS NULL) OR ([Asunto] = @Original_Asunto)) AND ((@IsNull_CodEmpr = 1 AND [CodEmpr] IS NULL) OR ([CodEmpr] = @Original_CodEmpr)) AND ((@IsNull_CodIF = 1 AND [CodIF] IS NULL) OR ([CodIF] = @Original_CodIF)) AND ((@IsNull_CodEmis = 1 AND [CodEmis] IS NULL) OR ([CodEmis] = @Original_CodEmis)) AND ((@IsNull_CodCalRi = 1 AND [CodCalRi] IS NULL) OR ([CodCalRi] = @Original_CodCalRi)) AND ((@IsNull_CodECalRi = 1 AND [CodECalRi] IS NULL) OR ([CodECalRi] = @Original_CodECalRi)) AND ((@IsNull_OFon = 1 AND [OFon] IS NULL) OR ([OFon] = @Original_OFon)) AND ((@IsNull_Coment = 1 AND [Coment] IS NULL) OR ([Coment] = @Original_Coment)) AND ((@IsNull_Just = 1 AND [Just] IS NULL) OR ([Just] = @Original_Just)) AND ((@IsNull_TipoOper = 1 AND [TipoOper] IS NULL) OR ([TipoOper] = @Original_TipoOper)) AND ((@IsNull_DocBase = 1 AND [DocBase] IS NULL) OR ([DocBase] = @Original_DocBase)) AND ((@IsNull_MontoInv = 1 AND [MontoInv] IS NULL) OR ([MontoInv] = @Original_MontoInv)) AND ((@IsNull_Precio = 1 AND [Precio] IS NULL) OR ([Precio] = @Original_Precio)) AND ((@IsNull_Rendimiento = 1 AND [Rendimiento] IS NULL) OR ([Rendimiento] = @Original_Rendimiento)) AND ((@IsNull_Plazo = 1 AND [Plazo] IS NULL) OR ([Plazo] = @Original_Plazo)) AND ((@IsNull_PlazoFact = 1 AND [PlazoFact] IS NULL) OR ([PlazoFact] = @Original_PlazoFact)) AND ((@IsNull_Ingresos = 1 AND [Ingresos] IS NULL) OR ([Ingresos] = @Original_Ingresos)) AND ((@IsNull_FechaDoc = 1 AND [FechaDoc] IS NULL) OR ([FechaDoc] = @Original_FechaDoc)) AND ((@IsNull_AutEstado = 1 AND [AutEstado] IS NULL) OR ([AutEstado] = @Original_AutEstado)) AND ((@IsNull_TipoMerc = 1 AND [TipoMerc] IS NULL) OR ([TipoMerc] = @Original_TipoMerc)) AND ((@IsNull_CodPais = 1 AND [CodPais] IS NULL) OR ([CodPais] = @Original_CodPais)) AND ((@IsNull_TipoRenta = 1 AND [TipoRenta] IS NULL) OR ([TipoRenta] = @Original_TipoRenta)) AND ((@IsNull_TipoTasa = 1 AND [TipoTasa] IS NULL) OR ([TipoTasa] = @Original_TipoTasa)) AND ((@IsNull_Periodicidad = 1 AND [Periodicidad] IS NULL) OR ([Periodicidad] = @Original_Periodicidad)) AND ((@IsNull_NombreManual = 1 AND [NombreManual] IS NULL) OR ([NombreManual] = @Original_NombreManual)) AND ((@IsNull_EstadoProc = 1 AND [EstadoProc] IS NULL) OR ([EstadoProc] = @Original_EstadoProc)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocId" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocId" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodInv" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodInv" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodInv" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VCodInv" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VCodInv" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VCodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VCodInv" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DocEst" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocEst" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_DocEst" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DocEst" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Asunto" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Asunto" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Asunto" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Asunto" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodEmpr" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmpr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodEmpr" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodEmpr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodIF" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodIF" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodIF" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodIF" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodEmis" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmis" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CodEmis" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmis" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodCalRi" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodCalRi" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodCalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodCalRi" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodECalRi" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodECalRi" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodECalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodECalRi" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_OFon" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="OFon" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_OFon" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="OFon" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Coment" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Coment" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Coment" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Coment" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Just" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Just" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Just" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Just" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoOper" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoOper" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoOper" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoOper" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DocBase" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocBase" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocBase" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocBase" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MontoInv" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MontoInv" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_MontoInv" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="MontoInv" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Precio" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Precio" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_Precio" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Precio" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Rendimiento" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Rendimiento" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Rendimiento" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Rendimiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Plazo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Plazo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_Plazo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Plazo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PlazoFact" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PlazoFact" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PlazoFact" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PlazoFact" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Ingresos" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Ingresos" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_Ingresos" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Ingresos" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_FechaDoc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="FechaDoc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_FechaDoc" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="FechaDoc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AutEstado" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AutEstado" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_AutEstado" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="AutEstado" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoMerc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoMerc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoMerc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoMerc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodPais" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodPais" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodPais" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodPais" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoRenta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoRenta" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoRenta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoRenta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoTasa" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoTasa" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoTasa" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoTasa" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Periodicidad" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Periodicidad" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Periodicidad" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Periodicidad" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NombreManual" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NombreManual" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_NombreManual" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="NombreManual" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_EstadoProc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="EstadoProc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_EstadoProc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EstadoProc" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[PIN0] ([CodInv], [VCodInv], [DocEst], [Asunto], [CodEmpr], [CodIF], [CodEmis], [CodCalRi], [CodECalRi], [OFon], [Coment], [Just], [TipoOper], [DocBase], [MontoInv], [Precio], [Rendimiento], [Plazo], [PlazoFact], [Ingresos], [FechaDoc], [AutEstado], [TipoMerc], [CodPais], [TipoRenta], [TipoTasa], [Periodicidad], [NombreManual], [EstadoProc]) VALUES (@CodInv, @VCodInv, @DocEst, @Asunto, @CodEmpr, @CodIF, @CodEmis, @CodCalRi, @CodECalRi, @OFon, @Coment, @Just, @TipoOper, @DocBase, @MontoInv, @Precio, @Rendimiento, @Plazo, @PlazoFact, @Ingresos, @FechaDoc, @AutEstado, @TipoMerc, @CodPais, @TipoRenta, @TipoTasa, @Periodicidad, @NombreManual, @EstadoProc);
SELECT DocId, CodInv, VCodInv, DocEst, Asunto, CodEmpr, CodIF, CodEmis, CodCalRi, CodECalRi, OFon, Coment, Just, TipoOper, DocBase, MontoInv, Precio, Rendimiento, Plazo, PlazoFact, Ingresos, FechaDoc, AutEstado, TipoMerc, CodPais, TipoRenta, TipoTasa, Periodicidad, NombreManual, EstadoProc FROM PIN0 WHERE (DocId = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodInv" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VCodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VCodInv" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@DocEst" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DocEst" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Asunto" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Asunto" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodEmpr" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodEmpr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodIF" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodIF" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CodEmis" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmis" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodCalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodCalRi" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodECalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodECalRi" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@OFon" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="OFon" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Coment" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Coment" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Just" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Just" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoOper" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoOper" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@DocBase" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocBase" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@MontoInv" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="MontoInv" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Precio" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Precio" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Rendimiento" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Rendimiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Plazo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Plazo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PlazoFact" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PlazoFact" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Ingresos" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Ingresos" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@FechaDoc" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="FechaDoc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@AutEstado" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="AutEstado" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoMerc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoMerc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodPais" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodPais" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoRenta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoRenta" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoTasa" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoTasa" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Periodicidad" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Periodicidad" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@NombreManual" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="NombreManual" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@EstadoProc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EstadoProc" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT DocId, CodInv, VCodInv, DocEst, Asunto, CodEmpr, CodIF, CodEmis, CodCalRi, CodECalRi, OFon, Coment, Just, TipoOper, DocBase, MontoInv, Precio, Rendimiento, Plazo, PlazoFact, Ingresos, FechaDoc, AutEstado, TipoMerc, CodPais, TipoRenta, TipoTasa, Periodicidad, NombreManual, EstadoProc FROM dbo.PIN0</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[PIN0] SET [CodInv] = @CodInv, [VCodInv] = @VCodInv, [DocEst] = @DocEst, [Asunto] = @Asunto, [CodEmpr] = @CodEmpr, [CodIF] = @CodIF, [CodEmis] = @CodEmis, [CodCalRi] = @CodCalRi, [CodECalRi] = @CodECalRi, [OFon] = @OFon, [Coment] = @Coment, [Just] = @Just, [TipoOper] = @TipoOper, [DocBase] = @DocBase, [MontoInv] = @MontoInv, [Precio] = @Precio, [Rendimiento] = @Rendimiento, [Plazo] = @Plazo, [PlazoFact] = @PlazoFact, [Ingresos] = @Ingresos, [FechaDoc] = @FechaDoc, [AutEstado] = @AutEstado, [TipoMerc] = @TipoMerc, [CodPais] = @CodPais, [TipoRenta] = @TipoRenta, [TipoTasa] = @TipoTasa, [Periodicidad] = @Periodicidad, [NombreManual] = @NombreManual, [EstadoProc] = @EstadoProc WHERE (([DocId] = @Original_DocId) AND ((@IsNull_CodInv = 1 AND [CodInv] IS NULL) OR ([CodInv] = @Original_CodInv)) AND ((@IsNull_VCodInv = 1 AND [VCodInv] IS NULL) OR ([VCodInv] = @Original_VCodInv)) AND ((@IsNull_DocEst = 1 AND [DocEst] IS NULL) OR ([DocEst] = @Original_DocEst)) AND ((@IsNull_Asunto = 1 AND [Asunto] IS NULL) OR ([Asunto] = @Original_Asunto)) AND ((@IsNull_CodEmpr = 1 AND [CodEmpr] IS NULL) OR ([CodEmpr] = @Original_CodEmpr)) AND ((@IsNull_CodIF = 1 AND [CodIF] IS NULL) OR ([CodIF] = @Original_CodIF)) AND ((@IsNull_CodEmis = 1 AND [CodEmis] IS NULL) OR ([CodEmis] = @Original_CodEmis)) AND ((@IsNull_CodCalRi = 1 AND [CodCalRi] IS NULL) OR ([CodCalRi] = @Original_CodCalRi)) AND ((@IsNull_CodECalRi = 1 AND [CodECalRi] IS NULL) OR ([CodECalRi] = @Original_CodECalRi)) AND ((@IsNull_OFon = 1 AND [OFon] IS NULL) OR ([OFon] = @Original_OFon)) AND ((@IsNull_Coment = 1 AND [Coment] IS NULL) OR ([Coment] = @Original_Coment)) AND ((@IsNull_Just = 1 AND [Just] IS NULL) OR ([Just] = @Original_Just)) AND ((@IsNull_TipoOper = 1 AND [TipoOper] IS NULL) OR ([TipoOper] = @Original_TipoOper)) AND ((@IsNull_DocBase = 1 AND [DocBase] IS NULL) OR ([DocBase] = @Original_DocBase)) AND ((@IsNull_MontoInv = 1 AND [MontoInv] IS NULL) OR ([MontoInv] = @Original_MontoInv)) AND ((@IsNull_Precio = 1 AND [Precio] IS NULL) OR ([Precio] = @Original_Precio)) AND ((@IsNull_Rendimiento = 1 AND [Rendimiento] IS NULL) OR ([Rendimiento] = @Original_Rendimiento)) AND ((@IsNull_Plazo = 1 AND [Plazo] IS NULL) OR ([Plazo] = @Original_Plazo)) AND ((@IsNull_PlazoFact = 1 AND [PlazoFact] IS NULL) OR ([PlazoFact] = @Original_PlazoFact)) AND ((@IsNull_Ingresos = 1 AND [Ingresos] IS NULL) OR ([Ingresos] = @Original_Ingresos)) AND ((@IsNull_FechaDoc = 1 AND [FechaDoc] IS NULL) OR ([FechaDoc] = @Original_FechaDoc)) AND ((@IsNull_AutEstado = 1 AND [AutEstado] IS NULL) OR ([AutEstado] = @Original_AutEstado)) AND ((@IsNull_TipoMerc = 1 AND [TipoMerc] IS NULL) OR ([TipoMerc] = @Original_TipoMerc)) AND ((@IsNull_CodPais = 1 AND [CodPais] IS NULL) OR ([CodPais] = @Original_CodPais)) AND ((@IsNull_TipoRenta = 1 AND [TipoRenta] IS NULL) OR ([TipoRenta] = @Original_TipoRenta)) AND ((@IsNull_TipoTasa = 1 AND [TipoTasa] IS NULL) OR ([TipoTasa] = @Original_TipoTasa)) AND ((@IsNull_Periodicidad = 1 AND [Periodicidad] IS NULL) OR ([Periodicidad] = @Original_Periodicidad)) AND ((@IsNull_NombreManual = 1 AND [NombreManual] IS NULL) OR ([NombreManual] = @Original_NombreManual)) AND ((@IsNull_EstadoProc = 1 AND [EstadoProc] IS NULL) OR ([EstadoProc] = @Original_EstadoProc)));
SELECT DocId, CodInv, VCodInv, DocEst, Asunto, CodEmpr, CodIF, CodEmis, CodCalRi, CodECalRi, OFon, Coment, Just, TipoOper, DocBase, MontoInv, Precio, Rendimiento, Plazo, PlazoFact, Ingresos, FechaDoc, AutEstado, TipoMerc, CodPais, TipoRenta, TipoTasa, Periodicidad, NombreManual, EstadoProc FROM PIN0 WHERE (DocId = @DocId)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodInv" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VCodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VCodInv" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@DocEst" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DocEst" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Asunto" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Asunto" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodEmpr" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodEmpr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodIF" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodIF" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CodEmis" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmis" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodCalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodCalRi" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodECalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodECalRi" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@OFon" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="OFon" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Coment" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Coment" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Just" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Just" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoOper" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoOper" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@DocBase" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocBase" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@MontoInv" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="MontoInv" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Precio" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Precio" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Rendimiento" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Rendimiento" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Plazo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Plazo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PlazoFact" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PlazoFact" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Ingresos" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Ingresos" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@FechaDoc" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="FechaDoc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@AutEstado" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="AutEstado" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoMerc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoMerc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CodPais" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodPais" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoRenta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoRenta" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@TipoTasa" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoTasa" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Periodicidad" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Periodicidad" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@NombreManual" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="NombreManual" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@EstadoProc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EstadoProc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocId" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocId" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodInv" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodInv" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodInv" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VCodInv" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VCodInv" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VCodInv" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VCodInv" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DocEst" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocEst" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_DocEst" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="DocEst" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Asunto" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Asunto" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Asunto" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Asunto" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodEmpr" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmpr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodEmpr" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodEmpr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodIF" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodIF" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodIF" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodIF" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodEmis" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmis" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CodEmis" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodEmis" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodCalRi" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodCalRi" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodCalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodCalRi" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodECalRi" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodECalRi" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodECalRi" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodECalRi" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_OFon" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="OFon" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_OFon" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="OFon" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Coment" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Coment" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Coment" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Coment" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Just" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Just" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Just" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Just" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoOper" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoOper" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoOper" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoOper" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DocBase" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocBase" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocBase" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocBase" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MontoInv" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MontoInv" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_MontoInv" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="MontoInv" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Precio" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Precio" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_Precio" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Precio" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Rendimiento" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Rendimiento" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Rendimiento" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Rendimiento" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Plazo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Plazo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_Plazo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Plazo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PlazoFact" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PlazoFact" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PlazoFact" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PlazoFact" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Ingresos" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Ingresos" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_Ingresos" Precision="18" ProviderType="Decimal" Scale="6" Size="0" SourceColumn="Ingresos" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_FechaDoc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="FechaDoc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_FechaDoc" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="FechaDoc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AutEstado" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AutEstado" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_AutEstado" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="AutEstado" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoMerc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoMerc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoMerc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoMerc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CodPais" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CodPais" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CodPais" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CodPais" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoRenta" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoRenta" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoRenta" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoRenta" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TipoTasa" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TipoTasa" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_TipoTasa" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="TipoTasa" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Periodicidad" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Periodicidad" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Periodicidad" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Periodicidad" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NombreManual" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NombreManual" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_NombreManual" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="NombreManual" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_EstadoProc" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="EstadoProc" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_EstadoProc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EstadoProc" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="DocId" ColumnName="DocId" DataSourceName="InversionesDEV.dbo.PIN0" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@DocId" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="DocId" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="DocId" DataSetColumn="DocId" />
              <Mapping SourceColumn="CodInv" DataSetColumn="CodInv" />
              <Mapping SourceColumn="VCodInv" DataSetColumn="VCodInv" />
              <Mapping SourceColumn="DocEst" DataSetColumn="DocEst" />
              <Mapping SourceColumn="Asunto" DataSetColumn="Asunto" />
              <Mapping SourceColumn="CodEmpr" DataSetColumn="CodEmpr" />
              <Mapping SourceColumn="CodIF" DataSetColumn="CodIF" />
              <Mapping SourceColumn="CodEmis" DataSetColumn="CodEmis" />
              <Mapping SourceColumn="CodCalRi" DataSetColumn="CodCalRi" />
              <Mapping SourceColumn="CodECalRi" DataSetColumn="CodECalRi" />
              <Mapping SourceColumn="OFon" DataSetColumn="OFon" />
              <Mapping SourceColumn="Coment" DataSetColumn="Coment" />
              <Mapping SourceColumn="Just" DataSetColumn="Just" />
              <Mapping SourceColumn="TipoOper" DataSetColumn="TipoOper" />
              <Mapping SourceColumn="DocBase" DataSetColumn="DocBase" />
              <Mapping SourceColumn="MontoInv" DataSetColumn="MontoInv" />
              <Mapping SourceColumn="Precio" DataSetColumn="Precio" />
              <Mapping SourceColumn="Rendimiento" DataSetColumn="Rendimiento" />
              <Mapping SourceColumn="Plazo" DataSetColumn="Plazo" />
              <Mapping SourceColumn="PlazoFact" DataSetColumn="PlazoFact" />
              <Mapping SourceColumn="Ingresos" DataSetColumn="Ingresos" />
              <Mapping SourceColumn="FechaDoc" DataSetColumn="FechaDoc" />
              <Mapping SourceColumn="AutEstado" DataSetColumn="AutEstado" />
              <Mapping SourceColumn="TipoMerc" DataSetColumn="TipoMerc" />
              <Mapping SourceColumn="CodPais" DataSetColumn="CodPais" />
              <Mapping SourceColumn="TipoRenta" DataSetColumn="TipoRenta" />
              <Mapping SourceColumn="TipoTasa" DataSetColumn="TipoTasa" />
              <Mapping SourceColumn="Periodicidad" DataSetColumn="Periodicidad" />
              <Mapping SourceColumn="NombreManual" DataSetColumn="NombreManual" />
              <Mapping SourceColumn="EstadoProc" DataSetColumn="EstadoProc" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="InversionesDEVDataSet7" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="InversionesDEVDataSet7" msprop:Generator_UserDSName="InversionesDEVDataSet7">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="PIN0" msprop:Generator_TableClassName="PIN0DataTable" msprop:Generator_TableVarName="tablePIN0" msprop:Generator_TablePropName="PIN0" msprop:Generator_RowDeletingName="PIN0RowDeleting" msprop:Generator_RowChangingName="PIN0RowChanging" msprop:Generator_RowEvHandlerName="PIN0RowChangeEventHandler" msprop:Generator_RowDeletedName="PIN0RowDeleted" msprop:Generator_UserTableName="PIN0" msprop:Generator_RowChangedName="PIN0RowChanged" msprop:Generator_RowEvArgName="PIN0RowChangeEvent" msprop:Generator_RowClassName="PIN0Row">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="DocId" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnDocId" msprop:Generator_ColumnPropNameInRow="DocId" msprop:Generator_ColumnPropNameInTable="DocIdColumn" msprop:Generator_UserColumnName="DocId" type="xs:int" />
              <xs:element name="CodInv" msprop:Generator_ColumnVarNameInTable="columnCodInv" msprop:Generator_ColumnPropNameInRow="CodInv" msprop:Generator_ColumnPropNameInTable="CodInvColumn" msprop:Generator_UserColumnName="CodInv" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="VCodInv" msprop:Generator_ColumnVarNameInTable="columnVCodInv" msprop:Generator_ColumnPropNameInRow="VCodInv" msprop:Generator_ColumnPropNameInTable="VCodInvColumn" msprop:Generator_UserColumnName="VCodInv" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="DocEst" msprop:Generator_ColumnVarNameInTable="columnDocEst" msprop:Generator_ColumnPropNameInRow="DocEst" msprop:Generator_ColumnPropNameInTable="DocEstColumn" msprop:Generator_UserColumnName="DocEst" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Asunto" msprop:Generator_ColumnVarNameInTable="columnAsunto" msprop:Generator_ColumnPropNameInRow="Asunto" msprop:Generator_ColumnPropNameInTable="AsuntoColumn" msprop:Generator_UserColumnName="Asunto" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CodEmpr" msprop:Generator_ColumnVarNameInTable="columnCodEmpr" msprop:Generator_ColumnPropNameInRow="CodEmpr" msprop:Generator_ColumnPropNameInTable="CodEmprColumn" msprop:Generator_UserColumnName="CodEmpr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CodIF" msprop:Generator_ColumnVarNameInTable="columnCodIF" msprop:Generator_ColumnPropNameInRow="CodIF" msprop:Generator_ColumnPropNameInTable="CodIFColumn" msprop:Generator_UserColumnName="CodIF" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CodEmis" msprop:Generator_ColumnVarNameInTable="columnCodEmis" msprop:Generator_ColumnPropNameInRow="CodEmis" msprop:Generator_ColumnPropNameInTable="CodEmisColumn" msprop:Generator_UserColumnName="CodEmis" type="xs:int" minOccurs="0" />
              <xs:element name="CodCalRi" msprop:Generator_ColumnVarNameInTable="columnCodCalRi" msprop:Generator_ColumnPropNameInRow="CodCalRi" msprop:Generator_ColumnPropNameInTable="CodCalRiColumn" msprop:Generator_UserColumnName="CodCalRi" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="8" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CodECalRi" msprop:Generator_ColumnVarNameInTable="columnCodECalRi" msprop:Generator_ColumnPropNameInRow="CodECalRi" msprop:Generator_ColumnPropNameInTable="CodECalRiColumn" msprop:Generator_UserColumnName="CodECalRi" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="8" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="OFon" msprop:Generator_ColumnVarNameInTable="columnOFon" msprop:Generator_ColumnPropNameInRow="OFon" msprop:Generator_ColumnPropNameInTable="OFonColumn" msprop:Generator_UserColumnName="OFon" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Coment" msprop:Generator_ColumnVarNameInTable="columnComent" msprop:Generator_ColumnPropNameInRow="Coment" msprop:Generator_ColumnPropNameInTable="ComentColumn" msprop:Generator_UserColumnName="Coment" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Just" msprop:Generator_ColumnVarNameInTable="columnJust" msprop:Generator_ColumnPropNameInRow="Just" msprop:Generator_ColumnPropNameInTable="JustColumn" msprop:Generator_UserColumnName="Just" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TipoOper" msprop:Generator_ColumnVarNameInTable="columnTipoOper" msprop:Generator_ColumnPropNameInRow="TipoOper" msprop:Generator_ColumnPropNameInTable="TipoOperColumn" msprop:Generator_UserColumnName="TipoOper" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="DocBase" msprop:Generator_ColumnVarNameInTable="columnDocBase" msprop:Generator_ColumnPropNameInRow="DocBase" msprop:Generator_ColumnPropNameInTable="DocBaseColumn" msprop:Generator_UserColumnName="DocBase" type="xs:int" minOccurs="0" />
              <xs:element name="MontoInv" msprop:Generator_ColumnVarNameInTable="columnMontoInv" msprop:Generator_ColumnPropNameInRow="MontoInv" msprop:Generator_ColumnPropNameInTable="MontoInvColumn" msprop:Generator_UserColumnName="MontoInv" type="xs:decimal" minOccurs="0" />
              <xs:element name="Precio" msprop:Generator_ColumnVarNameInTable="columnPrecio" msprop:Generator_ColumnPropNameInRow="Precio" msprop:Generator_ColumnPropNameInTable="PrecioColumn" msprop:Generator_UserColumnName="Precio" type="xs:decimal" minOccurs="0" />
              <xs:element name="Rendimiento" msprop:Generator_ColumnVarNameInTable="columnRendimiento" msprop:Generator_ColumnPropNameInRow="Rendimiento" msprop:Generator_ColumnPropNameInTable="RendimientoColumn" msprop:Generator_UserColumnName="Rendimiento" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Plazo" msprop:Generator_ColumnVarNameInTable="columnPlazo" msprop:Generator_ColumnPropNameInRow="Plazo" msprop:Generator_ColumnPropNameInTable="PlazoColumn" msprop:Generator_UserColumnName="Plazo" type="xs:int" minOccurs="0" />
              <xs:element name="PlazoFact" msprop:Generator_ColumnVarNameInTable="columnPlazoFact" msprop:Generator_ColumnPropNameInRow="PlazoFact" msprop:Generator_ColumnPropNameInTable="PlazoFactColumn" msprop:Generator_UserColumnName="PlazoFact" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Ingresos" msprop:Generator_ColumnVarNameInTable="columnIngresos" msprop:Generator_ColumnPropNameInRow="Ingresos" msprop:Generator_ColumnPropNameInTable="IngresosColumn" msprop:Generator_UserColumnName="Ingresos" type="xs:decimal" minOccurs="0" />
              <xs:element name="FechaDoc" msprop:Generator_ColumnVarNameInTable="columnFechaDoc" msprop:Generator_ColumnPropNameInRow="FechaDoc" msprop:Generator_ColumnPropNameInTable="FechaDocColumn" msprop:Generator_UserColumnName="FechaDoc" type="xs:dateTime" minOccurs="0" />
              <xs:element name="AutEstado" msprop:Generator_ColumnVarNameInTable="columnAutEstado" msprop:Generator_ColumnPropNameInRow="AutEstado" msprop:Generator_ColumnPropNameInTable="AutEstadoColumn" msprop:Generator_UserColumnName="AutEstado" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TipoMerc" msprop:Generator_ColumnVarNameInTable="columnTipoMerc" msprop:Generator_ColumnPropNameInRow="TipoMerc" msprop:Generator_ColumnPropNameInTable="TipoMercColumn" msprop:Generator_UserColumnName="TipoMerc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="3" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CodPais" msprop:Generator_ColumnVarNameInTable="columnCodPais" msprop:Generator_ColumnPropNameInRow="CodPais" msprop:Generator_ColumnPropNameInTable="CodPaisColumn" msprop:Generator_UserColumnName="CodPais" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="3" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TipoRenta" msprop:Generator_ColumnVarNameInTable="columnTipoRenta" msprop:Generator_ColumnPropNameInRow="TipoRenta" msprop:Generator_ColumnPropNameInTable="TipoRentaColumn" msprop:Generator_UserColumnName="TipoRenta" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="5" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TipoTasa" msprop:Generator_ColumnVarNameInTable="columnTipoTasa" msprop:Generator_ColumnPropNameInRow="TipoTasa" msprop:Generator_ColumnPropNameInTable="TipoTasaColumn" msprop:Generator_UserColumnName="TipoTasa" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="5" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Periodicidad" msprop:Generator_ColumnVarNameInTable="columnPeriodicidad" msprop:Generator_ColumnPropNameInRow="Periodicidad" msprop:Generator_ColumnPropNameInTable="PeriodicidadColumn" msprop:Generator_UserColumnName="Periodicidad" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="5" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NombreManual" msprop:Generator_ColumnVarNameInTable="columnNombreManual" msprop:Generator_ColumnPropNameInRow="NombreManual" msprop:Generator_ColumnPropNameInTable="NombreManualColumn" msprop:Generator_UserColumnName="NombreManual" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="EstadoProc" msprop:Generator_ColumnVarNameInTable="columnEstadoProc" msprop:Generator_ColumnPropNameInRow="EstadoProc" msprop:Generator_ColumnPropNameInTable="EstadoProcColumn" msprop:Generator_UserColumnName="EstadoProc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="5" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:PIN0" />
      <xs:field xpath="mstns:DocId" />
    </xs:unique>
  </xs:element>
</xs:schema>